# Interface BimIfcMeshIntersectionCameraOptions

BimIfcMesh intersection options for intersection with a camera and canvas coordinates.

interface BimIfcMeshIntersectionCameraOptions {
camera: Camera;
canvasCoordinate: Vertex2;
isAABBIntersectionEnabled?: boolean;
isCenterIntersectionFallbackEnabled?: boolean;
isGeometryIntersectionEnabled?: boolean;
}

#### Hierarchy (View Summary)

- BimIfcMeshIntersectionCameraCommonOptions
  - BimIfcMeshIntersectionCameraOptions

##### Index

### Properties

camera
canvasCoordinate
isAABBIntersectionEnabled?
isCenterIntersectionFallbackEnabled?
isGeometryIntersectionEnabled?

## Properties

### `Readonly` camera

camera: Camera

Camera to use for intersection test.

### `Readonly` canvasCoordinate

canvasCoordinate: Vertex2

Canvas coordinate to use when picking. A ray is shot into the scene from the camera passing through the canvas coordinate.

### `Optional` isAABBIntersectionEnabled

isAABBIntersectionEnabled?: boolean

If `true`, an intersection test against the AABB is performed. This test also requires that isGeometryIntersectionEnabled === `false` or that no geometry intersection is found.

Inherited from BimIfcMeshIntersectionCameraCommonOptions.isAABBIntersectionEnabled

### `Optional` isCenterIntersectionFallbackEnabled

isCenterIntersectionFallbackEnabled?: boolean

If `true`, fall back to use the object center as intersection point if no intersection point is otherwise found.

Inherited from BimIfcMeshIntersectionCameraCommonOptions.isCenterIntersectionFallbackEnabled

### `Optional` isGeometryIntersectionEnabled

isGeometryIntersectionEnabled?: boolean

If undefined or `true` then a (computationally expensive) intersection test will be performed against geometry to find out exactly where intersection is.

Inherited from BimIfcMeshIntersectionCameraCommonOptions.isGeometryIntersectionEnabled